## yoshimi 1.3.6

=== src/CMakeLists.txt ===
#
#   CMakeLists.txt
#
#   Copyright 2009-2011, Alan Calvert
#
#   This file is part of yoshimi, which is free software: you can
#   redistribute it and/or modify it under the terms of the GNU General
#   Public License as published by the Free Software Foundation, either
#   version 2 of the License, or (at your option) any later version.
#
#   yoshimi is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with yoshimi.  If not, see <http://www.gnu.org/licenses/>.

project (Yoshimi)
cmake_minimum_required (VERSION 2.6)
cmake_policy (VERSION 2.6)
cmake_policy (SET CMP0004 OLD)
if (POLICY CMP0046)
    cmake_policy (SET CMP0046 OLD)
endif (POLICY CMP0046)
set (YOSHIMI_VERSION "1.3.6")
file (WRITE version.txt "${YOSHIMI_VERSION}")

set (CMAKE_INCLUDE_CURRENT_DIR ON)
set (CMAKE_USE_RELATIVE_PATHS OFF)
    # relative paths break some scripts(?)
set (CMAKE_SKIP_RULE_DEPENDENCY OFF)
    # Rebuild objects if rules have changed, even if source hasn't.

message (STATUS "Building Yoshimi version ${YOSHIMI_VERSION} for ${CMAKE_SYSTEM_NAME}")

include (CheckCSourceCompiles)

mark_as_advanced (EXECUTABLE_OUTPUT_PATH)
mark_as_advanced (LIBRARY_OUTPUT_PATH)
mark_as_advanced (CMAKE_BUILD_TYPE)
mark_as_advanced (CMAKE_INSTALL_PREFIX)

# Check for jack session availability
check_c_source_compiles (
    "#include <jack/session.h>
    int main(int argc, char **argv)
    {
        jack_session_event_type_t x = JackSessionSave;
        return 0;
    }" HasJackSession
)

if (HasJackSession)
    option (JackSessionSupport "Include Jack Session Support" ON)
else (HasJackSession)
    set (JackSessionSupport OFF)
endif (HasJackSession)

set (DefaultAudio jack CACHE STRING "Default audio driver - alsa or jack")
set (DefaultMidi jack CACHE STRING "Default midi driver - alsa or jack")

option (BuildForAMD_X86_64 "Build for AMD x86_64 system" OFF)
option (BuildForCore2_X86_64 "Build for Intel Core2 x86_64 system" OFF)
option (BuildForDebug "Include gdb debugging support" OFF)

#option to build lv2 plugin
option (BuildLV2Plugin "Build yoshimi lv2 plugin interface" ON)

set (FifoDirectory /dev/shm CACHE STRING "Directory for fifos")

set (BuildOptions_x86_64AMD
    "-O3 -march=athlon64 -m64 -Wall -ffast-math -fno-finite-math-only -fomit-frame-pointer"
  CACHE STRING "X86_64 compiler options"
)

set (BuildOptions_X86_64Core2
    "-O3 -march=core2 -m64 -Wall -ffast-math -fno-finite-math-only -fomit-frame-pointer"
  CACHE STRING "X86_64 compiler options"
)

set (BuildOptionsBasic
    "-O3 -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer"
    CACHE STRING "basic X86 complier options"
)

set (BuildOptionsDebug
    "-O0 -g3 -ggdb -Wall -Wpointer-arith" CACHE STRING "Debug build flags")

find_package (PkgConfig REQUIRED)
if (PKG_CONFIG_FOUND)
    message(STATUS "Found pkg-config ${PKG_CONFIG_EXECUTABLE}")
else (PKG_CONFIG_FOUND)
    message(FATAL_ERROR "pkg-config required but not found")
endif (PKG_CONFIG_FOUND)

# libz
set (CMAKE_REQUIRED_LIBRARIES z)
check_c_source_compiles (
    "#include <zlib.h>
     int main(int argc, char **argv) {
         gzFile zzz  = gzopen(\"/dev/null\", \"rb\");
         if (NULL != zzz)
            gzclose(zzz);
         return 0;
     }" HAS_LIBZ
)
if (HAS_LIBZ)
    message(STATUS "Found libz")
else (HAS_LIBZ)
    message(FATAL_ERROR "libz required but not found: ${HAS_LIBZ}")
endif (HAS_LIBZ)

# fftw3f
pkg_check_modules (FFTW3F REQUIRED fftw3f>=0.22)
if (FFTW3F_FOUND)
    set (FFTW3F_LIBRARIES "${FFTW3F_LIBRARIES}")
    message (STATUS "Found fftw3f ${FFTW3F_VERSION}")
else (FFTW3F_FOUND)
    message (FATAL_ERROR "fftw3f >=0.22 required but not found")
endif (FFTW3F_FOUND)

# mxml
pkg_check_modules (MXML REQUIRED mxml>=2.5)
if (MXML_FOUND)
    message(STATUS "Found mxml ${MXML_VERSION}")
else (MXML_FOUND)
    message(FATAL_ERROR "mxml >=2.5 required but not found")
endif (MXML_FOUND)

# Alsa
pkg_check_modules (ALSA REQUIRED alsa>=1.0.17)
if (ALSA_FOUND)
    message(STATUS "Found Alsa ${ALSA_VERSION}")
else (ALSA_FOUND)
    message(FATAL_ERROR "Alsa >=1.0.17 required but not found")
endif (ALSA_FOUND)

# Jack
pkg_check_modules (JACK REQUIRED jack>=0.115.6)
if (JACK_FOUND)
    message(STATUS "Found jack ${JACK_VERSION}")
else (JACK_FOUND)
    message(FATAL_ERROR "Jack >=0.115.6 required but not found")
endif (JACK_FOUND)

# Boost
find_package (Boost)
if (Boost_FOUND)
    message(STATUS "Found boost headers version " ${Boost_VERSION})
else (Boost_FOUND)
    message (FATAL_ERROR "boost headers required, but not found")
endif (Boost_FOUND)

# fontconfig
pkg_check_modules (FONTCONFIG REQUIRED fontconfig>=0.22)
mark_as_advanced(FONTCONFIG_LIBRARIES)
if(FONTCONFIG_FOUND)
    message (STATUS "Found fontconfig ${FONTCONFIG_VERSION}")
else(FONTCONFIG_FOUND)
    message (FATAL_ERROR "fontconfig>=0.22 required but not found")
endif(FONTCONFIG_FOUND)


# libcairo
pkg_check_modules (LIBCAIRO REQUIRED cairo)
if (LIBCAIRO_FOUND)
    message (STATUS "Found libcairo ${LIBCAIRO_VERSION}")
else (LIBCAIRO_FOUND)
    message (FATAL_ERROR "libcairo required but not found")
endif (LIBCAIRO_FOUND)


# fltk
find_package (FLTK REQUIRED)
if (FLTK_FOUND)
    message (STATUS "Found FLTK")
else (FLTK_FOUND)
    message (FATAL_ERROR "FLTK required but not found")
endif (FLTK_FOUND)
mark_as_advanced (FLTK_DIR)
mark_as_advanced (FLTK_FLUID_EXECUTABLE)
mark_as_advanced (FLTK_MATH_LIBRARY)

set (GuiFluids
    UI/WidgetPDialUI.fl  UI/PresetsUI.fl  UI/EnvelopeUI.fl
    UI/LFOUI.fl  UI/FilterUI.fl  UI/VirKeyboardUI.fl
    UI/ConfigUI.fl  UI/SUBnoteUI.fl  UI/ResonanceUI.fl
    UI/OscilGenUI.fl  UI/ADnoteUI.fl  UI/PADnoteUI.fl
    UI/EffUI.fl  UI/BankUI.fl  UI/PartUI.fl
    UI/MicrotonalUI.fl  UI/MasterUI.fl    UI/MasterMiscUI.fl
    UI/ParametersUI.fl UI/ConsoleUI.fl
)

fltk_wrap_ui (yoshimi ${GuiFluids})
set_source_files_properties (UI/MasterUI.h PROPERTIES GENERATED 1)
set (YOSHI_INCLUDES ${FLTK_INCLUDE_DIR})

if (BuildForDebug)
    set (CMAKE_BUILD_TYPE "Debug")
    set (CMAKE_CXX_FLAGS_DEBUG ${BuildOptionsDebug})
    message (STATUS "Building for ${CMAKE_BUILD_TYPE}, flags: ${CMAKE_CXX_FLAGS_DEBUG}")
else (BuildForDebug)
    set (CMAKE_BUILD_TYPE "Release")
    if (BuildForAMD_X86_64)
        set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptions_x86_64AMD})
    else (BuildForAMD_X86_64)
        if (BuildForCore2_X86_64)
            set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptions_X86_64Core2})
        else (BuildForCore2_X86_64)
            set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptionsBasic})
        endif (BuildForCore2_X86_64)
    endif (BuildForAMD_X86_64)
    message (STATUS "Building for ${CMAKE_BUILD_TYPE}, flags: ${CMAKE_CXX_FLAGS_RELEASE}")
endif (BuildForDebug)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/../desktop/yoshimi.desktop.in"
    "${CMAKE_CURRENT_BINARY_DIR}/yoshimi.desktop"
    IMMEDIATE @ONLY)

set (DSP_sources
    DSP/FFTwrapper.cpp  DSP/AnalogFilter.cpp  DSP/FormantFilter.cpp
    DSP/SVFilter.cpp  DSP/Filter.cpp  DSP/Unison.cpp
)

set (Effects_sources
    Effects/Alienwah.cpp  Effects/Chorus.cpp  Effects/Echo.cpp
    Effects/EffectLFO.cpp  Effects/EffectMgr.cpp  Effects/Effect.cpp
    Effects/Phaser.cpp  Effects/Reverb.cpp  Effects/EQ.cpp
    Effects/Distorsion.cpp  Effects/DynamicFilter.cpp
)

set (Misc_sources
    Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp  Misc/Microtonal.cpp
    Misc/Part.cpp  Misc/XMLwrapper.cpp  Misc/MiscFuncs.cpp   Misc/WavFile.cpp
)

set (Params_sources
    Params/ADnoteParameters.cpp  Params/EnvelopeParams.cpp
    Params/FilterParams.cpp  Params/LFOParams.cpp
    Params/SUBnoteParameters.cpp  Params/PADnoteParameters.cpp
    Params/Controller.cpp  Params/Presets.cpp Params/PresetsStore.cpp
    Params/ControlInterface.cpp
)

set (Synth_sources
    Synth/ADnote.cpp  Synth/Envelope.cpp  Synth/LFO.cpp  Synth/OscilGen.cpp
    Synth/SUBnote.cpp  Synth/Resonance.cpp  Synth/PADnote.cpp
    Synth/BodyDisposal.cpp
)

set (MusicIO_sources
    MusicIO/MusicClient.cpp  MusicIO/MusicIO.cpp  MusicIO/JackEngine.cpp
    MusicIO/AlsaEngine.cpp  MusicIO/JackClient.cpp  MusicIO/AlsaClient.cpp
    MusicIO/JackAlsaClient.cpp  MusicIO/AlsaJackClient.cpp
)

add_definitions (
    -D'YOSHIMI_VERSION="${YOSHIMI_VERSION}"'
    -D'BASE_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}"'
    ${ALSA_LDFLAGS}
    ${JACK_LDFLAGS}
    -DYOSHI_FIFO_DIR="${FifoDirectory}"
)

add_definitions (-DCOMMAND_SIZE=80)
add_definitions (-DMAX_PRESETS=1000)
add_definitions (-DMAX_BANK_ROOT_DIRS=127)
add_definitions (-DMAX_BANKS_IN_ROOT=127)
add_definitions (-DMAX_AD_HARMONICS=128)
add_definitions (-DMAX_SUB_HARMONICS=64)
add_definitions (-DPAD_MAX_SAMPLES=96)
add_definitions (-DADD_COLOUR=0xdfafbf00)
add_definitions (-DBASE_COLOUR=0xbfbfbf00)
add_definitions (-DSUB_COLOUR=0xafcfdf00)
add_definitions (-DPAD_COLOUR=0xcfdfaf00)
add_definitions (-DNUM_MIDI_PARTS=64)
add_definitions (-DNUM_MIDI_CHANNELS=16)
add_definitions (-DMAX_ENVELOPE_POINTS=40)
add_definitions (-DMIN_ENVELOPE_DB=-60)

add_definitions (-DPI=3.1415926536f)
add_definitions (-DTWOPI=6.28318530718f)
add_definitions (-DHALFPI=1.57079632679f)
add_definitions (-DLOG_2=0.693147181f)

# these were previously (pointlessly) user configurable
add_definitions (-DNUM_VOICES=8)
add_definitions (-DPOLIPHONY=80)
add_definitions (-DNUM_SYS_EFX=4)
add_definitions (-DNUM_INS_EFX=8)
add_definitions (-DNUM_PART_EFX=3)
add_definitions (-DNUM_KIT_ITEMS=16)
add_definitions (-DVELOCITY_MAX_SCALE=8.0f)
add_definitions (-DMAX_EQ_BANDS=8) # MAX_EQ_BANDS must be less than 20")
add_definitions (-DMAX_FILTER_STAGES=5)
add_definitions (-DFF_MAX_VOWELS=6)
add_definitions (-DFF_MAX_FORMANTS=12)
add_definitions (-DFF_MAX_SEQUENCE=8)
add_definitions (-DMAX_PHASER_STAGES=12)
add_definitions (-DMAX_ALIENWAH_DELAY=100)

if (${DefaultAudio} STREQUAL "jack")
    message(STATUS "Default audio driver is Jack")
    add_definitions(-DDEFAULT_AUDIO=jack_audio)
elseif (${DefaultAudio} STREQUAL "alsa")
    message(STATUS "Default audio driver is Alsa")
    add_definitions(-DDEFAULT_AUDIO=alsa_audio)
else (${DefaultAudio} STREQUAL "alsa")
    message(FATAL_ERROR "Invalid DefaultAudio selection: " ${DefaultAudio})
endif (${DefaultAudio} STREQUAL "jack")

if (${DefaultMidi} STREQUAL "jack")
    message(STATUS "Default midi driver is Jack")
    add_definitions(-DDEFAULT_MIDI=jack_midi)
elseif (${DefaultMidi} STREQUAL "alsa")
    message(STATUS "Default midi driver is Alsa")
    add_definitions(-DDEFAULT_MIDI=alsa_midi)
else (${DefaultMidi} STREQUAL "alsa")
    message(FATAL_ERROR "Invalid DefaultMidi selection: " ${DefaultMidi})
endif (${DefaultMidi} STREQUAL "jack")

if (JackSessionSupport)
    message(STATUS "With jack session support")
    add_definitions(-DJACK_SESSION)
else (JackSessionSupport)
    message(STATUS "Without jack session support")
endif (JackSessionSupport)

# Check for jack latency API >= 0.120.1
check_c_source_compiles (
    "#include <jack/jack.h>
    int main(int argc, char **argv)
    {
        if (jack_set_latency_callback)
            return 0;
        else
            return 1;
    }" HasJackLatency
)

if (HasJackLatency)
    add_definitions(-DJACK_LATENCY)
endif (HasJackLatency)

set (ProgSources
    ${Misc_sources}
    ${Params_sources}
    ${Synth_sources}
    ${DSP_sources}
    ${Effects_sources}
    ${MusicIO_sources}
    ${yoshimi_FLTK_UI_SRCS}
)

include_directories (AFTER
    ${MXML_INCLUDE_DIRS}
    ${ALSA_INCLUDE_DIRS}
    ${JACK_INCLUDE_DIRS}
    ${FONTCONFIG_INCLUDE_DIRS}
    ${FLTK_INCLUDE_DIR}
    ${FFTW3F_INC_DIR}
    ${LIBCAIRO_INCLUDE_DIRS}
)

set(ExternLibraries
    ${FONTCONFIG_LIBRARIES}
    ${FLTK_LIBRARIES}
    ${MXML_LIBRARIES}
    ${ALSA_LIBRARIES}
    ${JACK_LIBRARIES}
    ${LIBSNDFILE_LIBRARIES}
    ${FFTW3F_LIBRARIES}
    ${LIBCAIRO_LIBRARIES}
    z
    dl
)

=== src/LV2_Plugin/CMakeLists.txt ===
#
#   CMakeLists.txt (LV2)
#
#   Copyright 2014, Andrew Deryabin <andrewderyabin@gmail.com>
#
#   This file is part of yoshimi, which is free software: you can
#   redistribute it and/or modify it under the terms of the GNU General
#   Public License as published by the Free Software Foundation, either
#   version 2 of the License, or (at your option) any later version.
#
#   yoshimi is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with yoshimi.  If not, see <http://www.gnu.org/licenses/>.

file (GLOB yoshimi_lv2_plugin_files
        YoshimiLV2Plugin.cpp
        YoshimiLV2Plugin.h
        lv2extui.h
        lv2extprg.h)
file (GLOB yoshimi_dsp_files
    ../DSP/FFTwrapper.cpp  ../DSP/AnalogFilter.cpp  ../DSP/FormantFilter.cpp
    ../DSP/SVFilter.cpp  ../DSP/Filter.cpp  ../DSP/Unison.cpp
    ../DSP/FFTwrapper.h  ../DSP/AnalogFilter.h  ../DSP/FormantFilter.h
    ../DSP/SVFilter.h  ../DSP/Filter.h  ../DSP/Unison.h)
file (GLOB yoshimi_effects_files
    ../Effects/Alienwah.cpp  ../Effects/Chorus.cpp  ../Effects/Echo.cpp
    ../Effects/EffectLFO.cpp  ../Effects/EffectMgr.cpp  ../Effects/Effect.cpp
    ../Effects/Phaser.cpp  ../Effects/Reverb.cpp  ../Effects/EQ.cpp
    ../Effects/Distorsion.cpp  ../Effects/DynamicFilter.cpp
    ../Effects/Alienwah.h  ../Effects/Chorus.h  ../Effects/Echo.h
    ../Effects/EffectLFO.h  ../Effects/EffectMgr.h  ../Effects/Effect.h
    ../Effects/Phaser.h  ../Effects/Reverb.h  ../Effects/EQ.h
    ../Effects/Distorsion.h  ../Effects/DynamicFilter.h)
file (GLOB yoshimi_misc_files
    ../Misc/Config.cpp ../Misc/Config.h
    ../Misc/SynthEngine.cpp  ../Misc/Bank.cpp  ../Misc/Microtonal.cpp
    ../Misc/Part.cpp  ../Misc/XMLwrapper.cpp  ../Misc/MiscFuncs.cpp ../Misc/WavFile.cpp
    ../Misc/SynthEngine.h  ../Misc/Bank.h  ../Misc/Microtonal.h
    ../Misc/Part.h  ../Misc/XMLwrapper.h  ../Misc/MiscFuncs.h ../Misc/WavFile.h)
file (GLOB yoshimi_params_files
    ../Params/ADnoteParameters.cpp  ../Params/EnvelopeParams.cpp
    ../Params/FilterParams.cpp  ../Params/LFOParams.cpp
    ../Params/SUBnoteParameters.cpp  ../Params/PADnoteParameters.cpp
    ../Params/Controller.cpp  ../Params/Presets.cpp ../Params/PresetsStore.cpp
    ../Params/ControlInterface.cpp
    ../Params/ADnoteParameters.h  ../Params/EnvelopeParams.h
    ../Params/FilterParams.h  ../Params/LFOParams.h
    ../Params/SUBnoteParameters.h  ../Params/PADnoteParameters.h
    ../Params/Controller.h  ../Params/Presets.h ../Params/PresetsStore.h
    ../Params/ControlInterface.h)
file (GLOB yoshimi_synth_files
    ../Synth/ADnote.cpp  ../Synth/Envelope.cpp  ../Synth/LFO.cpp  ../Synth/OscilGen.cpp
    ../Synth/SUBnote.cpp  ../Synth/Resonance.cpp  ../Synth/PADnote.cpp
    ../Synth/BodyDisposal.cpp
    ../Synth/ADnote.h  ../Synth/Envelope.h  ../Synth/LFO.h  ../Synth/OscilGen.h
    ../Synth/SUBnote.h  ../Synth/Resonance.h  ../Synth/PADnote.h
    ../Synth/BodyDisposal.h)
file (GLOB yoshimi_musicio_files
    ../MusicIO/MusicIO.cpp ../MusicIO/MusicIO.h ../MusicIO/Runtime.h)
file (GLOB yoshimi_manifest_ttl
    manifest.ttl)
file (GLOB yoshimi_plugin_ttl
    yoshimi.ttl)

set (GuiFluids
    ../UI/WidgetPDialUI.fl  ../UI/PresetsUI.fl  ../UI/EnvelopeUI.fl
    ../UI/LFOUI.fl  ../UI/FilterUI.fl  ../UI/VirKeyboardUI.fl
    ../UI/ConfigUI.fl  ../UI/SUBnoteUI.fl  ../UI/ResonanceUI.fl
    ../UI/OscilGenUI.fl  ../UI/ADnoteUI.fl  ../UI/PADnoteUI.fl
    ../UI/EffUI.fl  ../UI/BankUI.fl  ../UI/PartUI.fl
    ../UI/MicrotonalUI.fl  ../UI/MasterUI.fl    ../UI/MasterMiscUI.fl
    ../UI/ParametersUI.fl ../UI/ConsoleUI.fl
)

fltk_wrap_ui (yoshimi_lv2 ${GuiFluids})
set_source_files_properties (../UI/MasterUI.h PROPERTIES GENERATED 1)

add_definitions (-DYOSHIMI_LV2_PLUGIN=1)

add_library (yoshimi_lv2 MODULE
            ${yoshimi_lv2_plugin_files}
            ${yoshimi_manifest_ttl}
            ${yoshimi_plugin_ttl}
            ${yoshimi_dsp_files}
            ${yoshimi_effects_files}
            ${yoshimi_misc_files}
            ${yoshimi_params_files}
            ${yoshimi_synth_files}
            ${yoshimi_musicio_files}
            ${yoshimi_lv2_FLTK_UI_SRCS})

add_custom_target(yoshimi_lv2_ttl
                   COMMAND test -f ${yoshimi_manifest_ttl}
                   COMMAND test -f ${yoshimi_plugin_ttl})

SET_TARGET_PROPERTIES(yoshimi_lv2 PROPERTIES PREFIX "")
include_directories (AFTER
                            ${LV2_INCLUDE_DIRS}
                            ${FLTK_INCLUDE_DIR}
                            ${MXML_INCLUDE_DIRS}
                            ${FONTCONFIG_INCLUDE_DIRS}
                            ${FFTW3F_INC_DIR}
                            ${CMAKE_CURRENT_SOURCE_DIR}
                            ${CMAKE_SOURCE_DIR})

target_link_libraries(yoshimi_lv2
                      ${LV2_LIBRARIES}
                      ${FLTK_LIBRARIES}
                      ${MXML_LIBRARIES}
                      ${LIBSNDFILE_LIBRARIES}
                      ${FFTW3F_LIBRARIES}
                      ${LIBCAIRO_LIBRARIES}
                      ${JACK_LIBRARIES}
                      z
                      dl
)

add_dependencies(yoshimi_lv2 yoshimi_lv2_ttl)

install (TARGETS yoshimi_lv2 DESTINATION ${CMAKE_INSTALL_PREFIX}/${LV2_INSTALL_DIR}/yoshimi.lv2)
install (FILES ${yoshimi_manifest_ttl} ${yoshimi_plugin_ttl}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LV2_INSTALL_DIR}/yoshimi.lv2
)

=== debian/changelog ===
yoshimi (1.3.6-2) unstable; urgency=medium

  * Add clean file to enable build twice in row.
  * Append ldflags properly.
  * Remove libjpeg9-dev build-dep.(Closes: #800454)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Sep 2015 23:29:11 +0200

yoshimi (1.3.6-1) unstable; urgency=medium

  * Imported Upstream version 1.3.6
  * Remove spelling patch - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Sep 2015 05:26:55 +0200

yoshimi (1.3.5.2-1) unstable; urgency=medium

  * Imported Upstream version 1.3.5.2
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 04 Sep 2015 05:05:47 +0200

yoshimi (1.3.5.1-2) unstable; urgency=medium

  * Disable build without alsa on non-linux archs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 01 Jul 2015 08:02:14 +0200

yoshimi (1.3.5.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.5.1
  * Allow build without alsa on non-linux archs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 01 Jul 2015 01:00:45 +0200

yoshimi (1.3.5-1) unstable; urgency=medium

  * Patch applied upstream.
  * Update build deps.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 17 Jun 2015 13:24:40 +0200

yoshimi (1.3.4-3) unstable; urgency=medium

  * Fix build on mips mipsel and powerpc archs 2nd attempt.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 10 May 2015 21:36:24 +0200

yoshimi (1.3.4-2) unstable; urgency=medium

  * Refresh patch
  * Add patch to fix build on mips mipsel and powerpc archs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 09 May 2015 20:02:58 +0200

yoshimi (1.3.4-1) unstable; urgency=medium

  * Imported Upstream version 1.3.4

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 Apr 2015 23:37:20 +0200

yoshimi (1.3.3-1) unstable; urgency=medium

  * Imported Upstream version 1.3.3
  * Bump Standards.
  * Add lv2-dev as build-dep.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 23 Mar 2015 17:30:38 +0100

=== debian/control ===
Source: yoshimi
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 9),
 dpkg-dev (>= 1.14.17),
 fluid,
 libasound2-dev,
 libboost-dev,
 libfftw3-dev,
 libfltk1.3-dev,
 libfontconfig1-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-dev,
 libmxml-dev,
 libsndfile1-dev,
 libx11-dev,
 libxinerama-dev,
 libcairo2-dev,
 sharutils,
 lv2-dev,
 libxft-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/yoshimi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/yoshimi.git
Homepage: http://yoshimi.sourceforge.net

Package: yoshimi
Architecture: any
Depends:
 yoshimi-data,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Description: software synthesizer based on ZynAddSubFX
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 Yoshimi delivers the same synthesizer capabilities along with
 very good Jack and Alsa midi/audio functionality on Linux.

Package: yoshimi-data
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Presets for Yoshimi
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 This package provides banks and presets for Yoshimi.

Package: yoshimi-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 yoshimi (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for Yoshimi
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 This package provides the debugging symbols for yoshimi.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

ifneq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:amd64:))
CXXFLAGS+=-msse -msse2 -mfpmath=sse
endif

%:
	dh $@ --parallel --sourcedirectory=src

override_dh_install:
	dh_install
	install -d $(CURDIR)/debian/yoshimi/usr/share/applications
	install -d $(CURDIR)/debian/yoshimi/usr/share/icons
	install -m 644 $(CURDIR)/debian/yoshimi.desktop $(CURDIR)/debian/yoshimi/usr/share/applications
	install -m 644 $(CURDIR)/desktop/yoshimi.png $(CURDIR)/debian/yoshimi/usr/share/icons

override_dh_strip:
	dh_strip --dbg-package=yoshimi-dbg

## yoshimi 1.3.8.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 if (POLICY CMP0046)
     cmake_policy (SET CMP0046 OLD)
 endif (POLICY CMP0046)
-set (YOSHIMI_VERSION "1.3.6")
+set (YOSHIMI_VERSION "1.3.8.2")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
 set (CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -182,18 +182,41 @@
 mark_as_advanced (FLTK_FLUID_EXECUTABLE)
 mark_as_advanced (FLTK_MATH_LIBRARY)
 
-set (GuiFluids
-    UI/WidgetPDialUI.fl  UI/PresetsUI.fl  UI/EnvelopeUI.fl
-    UI/LFOUI.fl  UI/FilterUI.fl  UI/VirKeyboardUI.fl
-    UI/ConfigUI.fl  UI/SUBnoteUI.fl  UI/ResonanceUI.fl
-    UI/OscilGenUI.fl  UI/ADnoteUI.fl  UI/PADnoteUI.fl
-    UI/EffUI.fl  UI/BankUI.fl  UI/PartUI.fl
-    UI/MicrotonalUI.fl  UI/MasterUI.fl    UI/MasterMiscUI.fl
-    UI/ParametersUI.fl UI/ConsoleUI.fl
-)
-
-fltk_wrap_ui (yoshimi ${GuiFluids})
-set_source_files_properties (UI/MasterUI.h PROPERTIES GENERATED 1)
+find_path(Readline_ROOT_DIR
+    NAMES include/readline/readline.h
+)
+
+find_path(Readline_INCLUDE_DIR
+    NAMES readline/readline.h
+    HINTS ${Readline_ROOT_DIR}/include
+)
+
+find_library(Readline_LIBRARY
+    NAMES readline
+    HINTS ${Readline_ROOT_DIR}/lib
+)
+
+if(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
+  set(READLINE_FOUND TRUE)
+else(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
+  FIND_LIBRARY(Readline_LIBRARY NAMES readline)
+  include(FindPackageHandleStandardArgs)
+  FIND_PACKAGE_HANDLE_STANDARD_ARGS(Readline DEFAULT_MSG Readline_INCLUDE_DIR Readline_LIBRARY )
+  MARK_AS_ADVANCED(Readline_INCLUDE_DIR Readline_LIBRARY)
+endif(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
+
+mark_as_advanced(
+    Readline_ROOT_DIR
+    Readline_INCLUDE_DIR
+    Readline_LIBRARY
+)
+
+if(READLINE_FOUND)
+    message (STATUS "Readline library found" )
+else(READLINE_FOUND)
+    message( FATAL_ERROR "Readline library not found! Please install development components (libreadline-dev)" )
+endif(READLINE_FOUND)
+
 set (YOSHI_INCLUDES ${FLTK_INCLUDE_DIR})
 
 if (BuildForDebug)
@@ -234,6 +257,7 @@
 set (Misc_sources
     Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp  Misc/Microtonal.cpp
     Misc/Part.cpp  Misc/XMLwrapper.cpp  Misc/MiscFuncs.cpp   Misc/WavFile.cpp
+    Misc/CmdInterface.cpp
 )
 
 set (Params_sources
@@ -252,8 +276,53 @@
 
 set (MusicIO_sources
     MusicIO/MusicClient.cpp  MusicIO/MusicIO.cpp  MusicIO/JackEngine.cpp
-    MusicIO/AlsaEngine.cpp  MusicIO/JackClient.cpp  MusicIO/AlsaClient.cpp
-    MusicIO/JackAlsaClient.cpp  MusicIO/AlsaJackClient.cpp
+    MusicIO/AlsaEngine.cpp
+)
+
+set (FlGUI_sources
+    WidgetPDialUI.cpp  PresetsUI.cpp  EnvelopeUI.cpp
+    LFOUI.cpp  FilterUI.cpp  VirKeyboardUI.cpp
+    ConfigUI.cpp  SUBnoteUI.cpp  ResonanceUI.cpp
+    OscilGenUI.cpp  ADnoteUI.cpp  PADnoteUI.cpp
+    EffUI.cpp  BankUI.cpp  PartUI.cpp
+    MicrotonalUI.cpp  MasterUI.cpp MasterMiscUI.cpp
+    ParametersUI.cpp ConsoleUI.cpp
+)
+
+# mostly for make clean because cmake doesn't expect 2 files to come from 1 custom command
+set (FlGUI_headers
+    WidgetPDialUI.h  PresetsUI.h  EnvelopeUI.h
+    LFOUI.h  FilterUI.h  VirKeyboardUI.h
+    ConfigUI.h  SUBnoteUI.h  ResonanceUI.h
+    OscilGenUI.h  ADnoteUI.h  PADnoteUI.h
+    EffUI.h  BankUI.h  PartUI.h
+    MicrotonalUI.h  MasterUI.h MasterMiscUI.h
+    ParametersUI.h ConsoleUI.h
+)
+
+# workaround fltk_wrap_ui breakage
+add_custom_command(
+    OUTPUT ${FlGUI_sources}
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/WidgetPDialUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/PresetsUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/EnvelopeUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/LFOUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/FilterUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/VirKeyboardUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ConfigUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/SUBnoteUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ResonanceUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/OscilGenUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ADnoteUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/PADnoteUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/EffUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/BankUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/PartUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/MicrotonalUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/MasterUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/MasterMiscUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ParametersUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/UI/ConsoleUI.fl
 )
 
 add_definitions (
@@ -264,116 +333,7 @@
     -DYOSHI_FIFO_DIR="${FifoDirectory}"
 )
 
+add_definitions (-DYOSHIMI="yoshimi")
 add_definitions (-DCOMMAND_SIZE=80)
 add_definitions (-DMAX_PRESETS=1000)
 add_definitions (-DMAX_BANK_ROOT_DIRS=127)
-add_definitions (-DMAX_BANKS_IN_ROOT=127)
-add_definitions (-DMAX_AD_HARMONICS=128)
-add_definitions (-DMAX_SUB_HARMONICS=64)
-add_definitions (-DPAD_MAX_SAMPLES=96)
-add_definitions (-DADD_COLOUR=0xdfafbf00)
-add_definitions (-DBASE_COLOUR=0xbfbfbf00)
-add_definitions (-DSUB_COLOUR=0xafcfdf00)
-add_definitions (-DPAD_COLOUR=0xcfdfaf00)
-add_definitions (-DNUM_MIDI_PARTS=64)
-add_definitions (-DNUM_MIDI_CHANNELS=16)
-add_definitions (-DMAX_ENVELOPE_POINTS=40)
-add_definitions (-DMIN_ENVELOPE_DB=-60)
-
-add_definitions (-DPI=3.1415926536f)
-add_definitions (-DTWOPI=6.28318530718f)
-add_definitions (-DHALFPI=1.57079632679f)
-add_definitions (-DLOG_2=0.693147181f)
-
-# these were previously (pointlessly) user configurable
-add_definitions (-DNUM_VOICES=8)
-add_definitions (-DPOLIPHONY=80)
-add_definitions (-DNUM_SYS_EFX=4)
-add_definitions (-DNUM_INS_EFX=8)
-add_definitions (-DNUM_PART_EFX=3)
-add_definitions (-DNUM_KIT_ITEMS=16)
-add_definitions (-DVELOCITY_MAX_SCALE=8.0f)
-add_definitions (-DMAX_EQ_BANDS=8) # MAX_EQ_BANDS must be less than 20")
-add_definitions (-DMAX_FILTER_STAGES=5)
-add_definitions (-DFF_MAX_VOWELS=6)
-add_definitions (-DFF_MAX_FORMANTS=12)
-add_definitions (-DFF_MAX_SEQUENCE=8)
-add_definitions (-DMAX_PHASER_STAGES=12)
-add_definitions (-DMAX_ALIENWAH_DELAY=100)
-
-if (${DefaultAudio} STREQUAL "jack")
-    message(STATUS "Default audio driver is Jack")
-    add_definitions(-DDEFAULT_AUDIO=jack_audio)
-elseif (${DefaultAudio} STREQUAL "alsa")
-    message(STATUS "Default audio driver is Alsa")
-    add_definitions(-DDEFAULT_AUDIO=alsa_audio)
-else (${DefaultAudio} STREQUAL "alsa")
-    message(FATAL_ERROR "Invalid DefaultAudio selection: " ${DefaultAudio})
-endif (${DefaultAudio} STREQUAL "jack")
-
-if (${DefaultMidi} STREQUAL "jack")
-    message(STATUS "Default midi driver is Jack")
-    add_definitions(-DDEFAULT_MIDI=jack_midi)
-elseif (${DefaultMidi} STREQUAL "alsa")
-    message(STATUS "Default midi driver is Alsa")
-    add_definitions(-DDEFAULT_MIDI=alsa_midi)
-else (${DefaultMidi} STREQUAL "alsa")
-    message(FATAL_ERROR "Invalid DefaultMidi selection: " ${DefaultMidi})
-endif (${DefaultMidi} STREQUAL "jack")
-
-if (JackSessionSupport)
-    message(STATUS "With jack session support")
-    add_definitions(-DJACK_SESSION)
-else (JackSessionSupport)
-    message(STATUS "Without jack session support")
-endif (JackSessionSupport)
-
-# Check for jack latency API >= 0.120.1
-check_c_source_compiles (
-    "#include <jack/jack.h>
-    int main(int argc, char **argv)
-    {
-        if (jack_set_latency_callback)
-            return 0;
-        else
-            return 1;
-    }" HasJackLatency
-)
-
-if (HasJackLatency)
-    add_definitions(-DJACK_LATENCY)
-endif (HasJackLatency)
-
-set (ProgSources
-    ${Misc_sources}
-    ${Params_sources}
-    ${Synth_sources}
-    ${DSP_sources}
-    ${Effects_sources}
-    ${MusicIO_sources}
-    ${yoshimi_FLTK_UI_SRCS}
-)
-
-include_directories (AFTER
-    ${MXML_INCLUDE_DIRS}
-    ${ALSA_INCLUDE_DIRS}
-    ${JACK_INCLUDE_DIRS}
-    ${FONTCONFIG_INCLUDE_DIRS}
-    ${FLTK_INCLUDE_DIR}
-    ${FFTW3F_INC_DIR}
-    ${LIBCAIRO_INCLUDE_DIRS}
-)
-
-set(ExternLibraries
-    ${FONTCONFIG_LIBRARIES}
-    ${FLTK_LIBRARIES}
-    ${MXML_LIBRARIES}
-    ${ALSA_LIBRARIES}
-    ${JACK_LIBRARIES}
-    ${LIBSNDFILE_LIBRARIES}
-    ${FFTW3F_LIBRARIES}
-    ${LIBCAIRO_LIBRARIES}
-    z
-    dl
-)
-

=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -66,18 +66,52 @@
 file (GLOB yoshimi_plugin_ttl
     yoshimi.ttl)
 
-set (GuiFluids
-    ../UI/WidgetPDialUI.fl  ../UI/PresetsUI.fl  ../UI/EnvelopeUI.fl
-    ../UI/LFOUI.fl  ../UI/FilterUI.fl  ../UI/VirKeyboardUI.fl
-    ../UI/ConfigUI.fl  ../UI/SUBnoteUI.fl  ../UI/ResonanceUI.fl
-    ../UI/OscilGenUI.fl  ../UI/ADnoteUI.fl  ../UI/PADnoteUI.fl
-    ../UI/EffUI.fl  ../UI/BankUI.fl  ../UI/PartUI.fl
-    ../UI/MicrotonalUI.fl  ../UI/MasterUI.fl    ../UI/MasterMiscUI.fl
-    ../UI/ParametersUI.fl ../UI/ConsoleUI.fl
+# merely copied from top level
+set (FlGUI_sources
+    WidgetPDialUI.cpp  PresetsUI.cpp  EnvelopeUI.cpp
+    LFOUI.cpp  FilterUI.cpp  VirKeyboardUI.cpp
+    ConfigUI.cpp  SUBnoteUI.cpp  ResonanceUI.cpp
+    OscilGenUI.cpp  ADnoteUI.cpp  PADnoteUI.cpp
+    EffUI.cpp  BankUI.cpp  PartUI.cpp
+    MicrotonalUI.cpp  MasterUI.cpp MasterMiscUI.cpp
+    ParametersUI.cpp ConsoleUI.cpp
 )
 
-fltk_wrap_ui (yoshimi_lv2 ${GuiFluids})
-set_source_files_properties (../UI/MasterUI.h PROPERTIES GENERATED 1)
+# mostly for make clean because cmake doesn't expect 2 files to come from 1 custom command
+set (FlGUI_headers
+    WidgetPDialUI.h  PresetsUI.h  EnvelopeUI.h
+    LFOUI.h  FilterUI.h  VirKeyboardUI.h
+    ConfigUI.h  SUBnoteUI.h  ResonanceUI.h
+    OscilGenUI.h  ADnoteUI.h  PADnoteUI.h
+    EffUI.h  BankUI.h  PartUI.h
+    MicrotonalUI.h  MasterUI.h MasterMiscUI.h
+    ParametersUI.h ConsoleUI.h
+)
+
+# workaround fltk_wrap_ui breakage
+add_custom_command(
+    OUTPUT ${FlGUI_sources}
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/WidgetPDialUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/PresetsUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/EnvelopeUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/LFOUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/FilterUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/VirKeyboardUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/ConfigUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/SUBnoteUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/ResonanceUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/OscilGenUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/ADnoteUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/PADnoteUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/EffUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/BankUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/PartUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/MicrotonalUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/MasterUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/MasterMiscUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/ParametersUI.fl
+    COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${CMAKE_CURRENT_SOURCE_DIR}/../UI/ConsoleUI.fl
+)
 
 add_definitions (-DYOSHIMI_LV2_PLUGIN=1)
 
@@ -91,7 +125,7 @@
             ${yoshimi_params_files}
             ${yoshimi_synth_files}
             ${yoshimi_musicio_files}
-            ${yoshimi_lv2_FLTK_UI_SRCS})
+            ${FlGUI_sources})
 
 add_custom_target(yoshimi_lv2_ttl
                    COMMAND test -f ${yoshimi_manifest_ttl}
@@ -125,3 +159,5 @@
 install (FILES ${yoshimi_manifest_ttl} ${yoshimi_plugin_ttl}
   DESTINATION ${CMAKE_INSTALL_PREFIX}/${LV2_INSTALL_DIR}/yoshimi.lv2
 )
+
+set_directory_properties(PROPERTY ADDITIONAL_MAKE_CLEAN_FILES "${FlGUI_headers}")

=== debian/changelog ===
yoshimi (1.3.8.2-1) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Remove myself from Uploaders.

  [ Sebastian Ramacher ]
  * New upstream release.
    - Fix cmake issues. (Closes: #809739)
  * Switch to automatic dbg packages
  * debian/yoshimi.install: Use upstream manpage and desktop file.
  * debian/yoshimi-data.install: Update paths.
  * debian/copyright: Update copyright info.
  * debian/control:
    - Update Vcs-Git.
    - Update B-D for new upstream version.
    - Stricter dependency on data package.
    - Bump Standards-Version.
  * debian/patches/manpage-fixes.patch: Fix lintian warnings for manpage.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Feb 2016 13:31:08 +0100

yoshimi (1.3.7.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.7.1
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 01 Dec 2015 19:44:28 +0100

yoshimi (1.3.7-1) unstable; urgency=medium

  * Imported Upstream version 1.3.7
  * Add build dependecies.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 17 Nov 2015 09:03:37 +0100

=== debian/control ===
Source: yoshimi
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 9),
 fluid,
 libasound2-dev,
 libboost-dev,
 libcairo2-dev,
 libfftw3-dev,
 libfltk1.3-dev,
 libfontconfig1-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-dev,
 libmxml-dev,
 libncurses5-dev,
 libreadline-dev,
 libx11-dev,
 libxext-dev,
 lv2-dev,
 sharutils,
 zlib1g-dev
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/yoshimi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/yoshimi.git
Homepage: http://yoshimi.sourceforge.net

Package: yoshimi
Architecture: any
Depends:
 yoshimi-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Description: software synthesizer based on ZynAddSubFX
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 Yoshimi delivers the same synthesizer capabilities along with
 very good Jack and Alsa midi/audio functionality on Linux.

Package: yoshimi-data
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Presets for Yoshimi
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 This package provides banks and presets for Yoshimi.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

ifneq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:amd64:))
CXXFLAGS+=-msse -msse2 -mfpmath=sse
endif

%:
	dh $@ --parallel --sourcedirectory=src

=== debian/watch ===
version=3

http://sf.net/yoshimi/yoshimi-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
